#

def do_lgtm(want_lgtm, count="1"):
  """Compute the new content of WANT_LGTM

  ...given its current content (None for non-existent) and the number
  of approvals given. Return None, if the file WANT_LGTM should be removed.
  """
  current_count = 1
  if want_lgtm is not None:
    try:
      current_count = int(want_lgtm)
    except ValueError:
      # Can't interpret as a number; assume the generic "I want some
      # form of approval"
      pass
  else:
    # File not existing
    current_count = 0
  decrement = 1
  try:
    decrement = int(count)
  except Exception:
    # Can't interpret as a number; fall back to "single approval".
    pass

  new_count = current_count - decrement
  if new_count <= 0:
    return None
  else:
    return "%d" % (new_count,)


def format_lgtm_status(want_lgtm):
  """Format the content of WANT_LGTM

  ...to a human readable one line string.
  """
  if want_lgtm is None:
    return "No more reviews required"
  else:
    count = 1
    try:
      count = int((want_lgtm + "\n").splitlines()[0])
    except ValueError:
      # Can't interpret as a number; so the generic "I want some form
      # of approval" will be assumed
      pass
    return "%s review%s required" % (count, "" if count==1 else "s")
